org.apache.cassandra.cql3

## Class SuperColumnCompatibility.SuperColumnRestrictions

- java.lang.Object
- - org.apache.cassandra.cql3.SuperColumnCompatibility.SuperColumnRestrictions

Enclosing class:
  SuperColumnCompatibility

    public static class SuperColumnCompatibility.SuperColumnRestrictions
    extends java.lang.Object

Restrictions are the trickiest part of the SuperColumn integration. See specific docs on each field. For the purpose of this doc, the "default" column names are used, `column2` and `value`. Detailed description and semantics of these fields can be found in this class' header comment.

### Constructor Summary

Constructors
Constructor and Description
`SuperColumnRestrictions(java.util.Iterator<SingleRestriction> restrictions)`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SuperColumnRestrictions

    public SuperColumnRestrictions(java.util.Iterator<SingleRestriction> restrictions)